---
Name: proxmox/vm-machine-os-type
Description: The OS Type to use for the target Machine Virtual Machines.
Documentation: |
  Must select one of the Proxmox supported OS Type models from the list.  The
  default is `l26` (Linux 2.6 or newer kernel).

  Additional documentation and details can be found on the Proxmox Wiki,
  at (search for 'ostype: <l24' to find them):

    * <https://pve.proxmox.com/wiki/Qemu/KVM_Virtual_Machines>

  The list of supported OS Types is as follows:

    * `other` = unspecified OS
    * `wxp` = Microsoft Windows XP
    * `w2k` = Microsoft Windows 2000
    * `w2k3` = Microsoft Windows 2003
    * `w2k8` = Microsoft Windows 2008
    * `wvista` = Microsoft Windows Vista
    * `win7` = Microsoft Windows 7
    * `win8` = Microsoft Windows 8/2012/2012r2
    * `win10` = Microsoft Windows 10/2016
    * `l24` = Linux 2.4 Kernel
    * `l26` = Linux 2.6 - 5.X Kernel
    * `solaris` = Solaris/OpenSolaris/OpenIndiania kernel

Meta:
  color: blue
  icon: database
  title: Digital Rebar Community Content
Schema:
  default: l26
  type: string
  enum:
    - other
    - wxp
    - w2k
    - w2k3
    - w2k8
    - wvista
    - win7
    - win8
    - win10
    - l24
    - l26
    - solaris
Secure: false
